This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 180513 - (snd_via82xx) volume is too low, even if set it to maximum.
(snd_via82xx) volume is too low, even if set it to maximum.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2006-02-08 14:00 EST by Alberto Milone
Modified: 2015-01-04 17:25 EST (History)
4 users (show)

See Also:
Fixed In Version: Fedora Core 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 20:20:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is the scsound.log I get in kernel-2.6.15-1.1831_FC4 (12.98 KB, text/plain)
2006-02-08 14:02 EST, Alberto Milone
no flags Details
This is the scsound.log I get in kernel-2.6.14-1.1656_FC4 (12.24 KB, text/plain)
2006-02-08 14:05 EST, Alberto Milone
no flags Details

  None (edit)
Description Alberto Milone 2006-02-08 14:00:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
Today I have updated the system. The kernel was upgraded to kernel-2.6.15-1.1831_FC4. 

Bad: I rebooted and the sound volume was so low that I had to set both the system volume in Fedora and on the speakers (and they are very powerful) to the maximum in order to be able to hear an almost decent sound volume.

Bad: I tried to log in also as "root" but nothing changed. Then I tried to set the volume both in GNOME and in KDE 3.5.1 but nothing changed.

Good: I rebooted in the previous kernel (kernel-2.6.14-1.1656_FC4) and everything was fine (as it was in all previous versions).



Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1831_FC4

How reproducible:
Always

Steps to Reproduce:
1.Boot in kernel-2.6.15-1.1831_FC4. 
2.Play a sound file or test the audio in "system-config-soundcard"
3.The sound volume will be incredibly low.
  

Additional info:
Comment 1 Alberto Milone 2006-02-08 14:02:48 EST
Created attachment 124392 [details]
This is the scsound.log I get in kernel-2.6.15-1.1831_FC4
Comment 2 Alberto Milone 2006-02-08 14:05:00 EST
Created attachment 124393 [details]
This is the scsound.log I get in kernel-2.6.14-1.1656_FC4

This is the scsound.log I get in kernel-2.6.14-1.1656_FC4, in which the sound
volume works fine
Comment 3 Alberto Milone 2006-02-08 14:11:37 EST
Using "alsamixer" doesn't solve the problem
Comment 4 Ryan Smith 2006-02-08 15:43:15 EST
Confirmed.

I updated to kernel 2.6.15-1.1831_FC4 today via yum, rebooted and went to listen
some music only to find out the sound volume extremely low. All volumes were
maxxed in Kmix, and my speakers were turned up to 11.
Comment 5 Paul van Maaren 2006-02-12 09:37:45 EST
Confirmed.

With both 1830 and 1831 I have no sound. Booting 2.6.14-1.1656_FC4 and it works
again...
If someone wants specific information, please let me know.
Comment 6 Ryan Smith 2006-02-16 14:03:42 EST
Any update on this?

I'm guessing this particular bug is related to a specific sound card, and or
hardware setup because there is not many posts/people here talking about it.

I guess our solution is to use kernel 2.6.14-1.1656_FC4 until the next kernel
update is released (in hopes this bug will disappear in the next release).
Comment 7 Alberto Milone 2006-02-16 14:31:55 EST
My motherboard is an Asus A8V Deluxe.
I hope it helps to diagnose the problem.

I have this problem only in Fedora Core 4. In both Ubuntu Breezy and Ubuntu
Dapper kernel 2.6.15 doesn't cause any problem.
Comment 8 enricog 2006-02-26 10:32:08 EST
Same here, on a:
- 2.6.15-1.1831_FC4 (x86_64) kernel
- k8v-x asus m.b.
Comment 9 Ryan Smith 2006-03-03 15:27:10 EST
This "extremely low volume" issue is still there even with the latest kernel,
2.6.15-1.1833_FC4.

Still booting into 2.6.14-1.1656_FC4 so I can have sound.

From what it's sounding like, it's not a hardware specific issue, seems to be
just a Fedora Core 4 issue as others have stated using the newer kernel in other
disto's just fine.

Is anyone even looking into this?
Comment 10 Alberto Milone 2006-03-12 05:18:19 EST
I did a fresh installation, updated the system and now the sound volume issue
has vanished.
My kernel is:
2.6.15-1.1833_FC4
Comment 11 enricog 2006-03-12 09:42:04 EST
I've a AMD Athlon 64 and the 2.6.15-1.1833_FC4_x86_64 does not fix the problem.
Comment 12 Ryan Smith 2006-04-25 15:48:23 EDT
Found a fix for this..

I noticed for the snd_via82xx module, using KMix, I saw 4 VIA DXS volume sliders
that were previously not there in KMix running kernel 2.6.14-1.1656_FC4. I
pushed all 4 sliders up to full volume, tested, still no sound. So I rebooted,
tested, and viola.. I have sound once again. I read that in order for sound to
work properly with any kernels great than the 2.6.14-1.1656_FC4 with the
snd_via82xx module, you have to run either KMix, ALSAMixer, or the equivalent
one for Gnome (can't think of the name off the top of my head) and make sure the
"VIA DXS" volume sliders are pushed to full.

I used KMix and this was easy. I've read using the ALSAMixer or the Gnome one,
you might have to dig around in the preferences to display these sliders in
order to change their value(s). Although once changed (won't hurt to reboot
after, I had to) your sound should work normally once again.

Finally running:
kernel-2.6.16-1.2096_FC4
Comment 13 enricog 2006-04-27 16:25:33 EDT
I'm running kernel-2.6.16-1.2096_FC4 on a x86_64. I can find the four 4 VIA DXS
volume sliders, but after setting them to max. and re-boot there's still no sound.
Comment 14 Dave Jones 2006-09-16 22:18:36 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 15 Paul van Maaren 2006-09-17 17:57:53 EDT
(In reply to comment #14)
> [This comment added as part of a mass-update to all open FC4 kernel bugs]
> 
> FC4 has now transitioned to the Fedora legacy project, which will continue to
> release security related updates for the kernel.  As this bug is not security
> related, it is unlikely to be fixed in an update for FC4, and has been migrated
> to FC5.
> 
> Please retest with Fedora Core 5.
> 
> Thank you.

I am running 2.6.17-1.2174_FC5 and it is working fine for me.
Comment 16 Alberto Milone 2006-09-18 05:09:05 EDT
The problem is solved in Fedora Core 5
Comment 17 Dave Jones 2006-10-16 14:26:54 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.